%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   Color management tools for GNOME
Name:      gnome-color-manager
Version:   2.32.0
Release:   2%{?dist}
License:   GPLv2+
Group:     Applications/System
URL:       http://projects.gnome.org/gnome-color-manager/
Source0:   http://download.gnome.org/sources/gnome-color-manager/2.32/%{name}-%{version}.tar.gz

Requires:  color-filesystem >= 1-7
Requires:  gnome-icon-theme
Requires:  shared-mime-info
Requires:  shared-color-profiles
Requires:  yelp
Requires:  GConf2

BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: vte-devel
BuildRequires: gnome-doc-utils
BuildRequires: unique-devel >= 1.0.0
BuildRequires: intltool
BuildRequires: libgudev1-devel
BuildRequires: dbus-glib-devel >= 0.73
BuildRequires: libXxf86vm-devel
BuildRequires: libXrandr-devel
BuildRequires: gnome-desktop-devel
BuildRequires: lcms-devel
BuildRequires: cups-devel
BuildRequires: libnotify-devel
BuildRequires: sane-backends-devel
BuildRequires: libtiff-devel
BuildRequires: libcanberra-devel

%description
gnome-color-manager is a session framework that makes it easy to manage, install
and generate color profiles in the GNOME desktop.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

for i in gcm-prefs gcm-import ; do
  desktop-file-install --delete-original                                \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications/                      \
    $RPM_BUILD_ROOT%{_datadir}/applications/$i.desktop
done

%find_lang %name --with-gnome

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas &> /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-color-manager.schemas &> /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
/lib/udev/rules.d/*.rules
%{_bindir}/gcm-*
%dir %{_datadir}/gnome-color-manager
%{_datadir}/gnome-color-manager/gcm-*.ui
%dir %{_datadir}/gnome-color-manager/targets
%dir %{_datadir}/gnome-color-manager/icons
%{_datadir}/gnome-color-manager/targets/*.png
%{_datadir}/gnome-color-manager/icons/*.svg
#%{_datadir}/gnome-color-manager/icons/*.png
%{_datadir}/man/man1/*.1.gz
%{_datadir}/gnome/help/gnome-color-manager
%{_datadir}/omf/gnome-color-manager
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/applications/gcm-prefs.desktop
%{_datadir}/applications/gcm-import.desktop
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/dbus-1/services/org.gnome.ColorManager.service
%{_sbindir}/gcm-install-system-wide
%{_datadir}/polkit-1/actions/org.gnome.color.policy

# this is probably better in a shared package
%dir %{_localstatedir}/lib/color

%changelog
* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.32.0-2
- Rebuild after glibc breakage.

* Mon Sep 27 2010 Richard Hughes <richard@hughsie.com> 2.32.0-1
- New upstream release.
- Lots of translation updates.

* Mon Sep 11 2010 Richard Hughes <richard@hughsie.com> 2.31.91-3
- Remove the explicit dependency on yelp.
- Resolves: #626242

* Tue Aug 31 2010 Richard Hughes <richard@hughsie.com> 2.31.91-2
- Rebuild as the source upload failed due to an expired cert.

* Tue Aug 31 2010 Richard Hughes <richard@hughsie.com> 2.31.91-1
- New upstream release.
- Lots of translation updates.
- Restore the correct application icon.

* Mon Aug 16 2010 Matthias Clasen <mclasen@redhat.com> 2.31.6-3
- Rebuild to circumvent bodhi limitations

* Fri Aug 06 2010 Richard Hughes <richard@hughsie.com> 2.31.6-2
- Include libnotify as a BR again.

* Fri Aug 06 2010 Richard Hughes <richard@hughsie.com> 2.31.6-1
- New upstream release.
- This is 2.31.6, which is forked from the gnome-2-30 branch.
- If you have been using 2.31.5 or any earlier 2.31 version, then you will
  notice the UI and functionality going back in time. This is unfortunate.

* Thu Jul 01 2010 Richard Hughes <richard@hughsie.com> 2.31.4-1
- New upstream release.

* Mon Jun 28 2010 Matthias Clasen <mclasen@redhat.com> 2.31.3-3
- Rebuild

* Tue Jun 22 2010 Richard Hughes <richard@hughsie.com> 2.31.3-2
- Actually upload new tarball. Grrr.

* Mon Jun 21 2010 Richard Hughes <richard@hughsie.com> 2.31.3-1
- New upstream release.

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> 2.31.2-5
- Nuke the scrollkeeper runtime dep

* Thu Jun 03 2010 Richard Hughes <richard@hughsie.com> 2.31.2-4
- Patience is a virtue, pursue it if you can -- never in a programmer
  always in a can.

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-3
- Build against the fixed sane-backends.

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-2
- Actually upload source tarball...

* Wed Jun 02 2010 Richard Hughes <richard@hughsie.com> 2.31.2-1
- New upstream release.

* Thu May 06 2010 Richard Hughes <richard@hughsie.com> 2.31.1-1
- New upstream release.

* Mon Apr 26 2010 Matthias Clasen <mclasen@redhat.com> 2.30.1-1
- Update to 2.30.1

* Fri Apr  2 2010 Matthias Clasen <mclasen@redhat.com> 2.30.0-4
- BR GConf to make the macros work
- Modernize icon cache handling

* Wed Mar 31 2010 Richard Hughes <richard@hughsie.com> 2.30.0-3
- Fix up a scriptlet problem.
- Resolves: #578611

* Mon Mar 29 2010 Richard Hughes <richard@hughsie.com> 2.30.0-2
- Add libnotify BR.

* Mon Mar 29 2010 Richard Hughes <richard@hughsie.com> 2.30.0-1
- New upstream release.

* Tue Mar 09 2010 Richard Hughes <richard@hughsie.com> 2.29.4-2
- Update to the latest version of the Fedora Packaging Guidelines
- Remove the custom BuildRoot
- Do not clean the buildroot before install
- Use the gconf_schema defines for the GConf schemas
- Remove some over-zealous Requires that are already picked up by rpm.
- Resolves #571658

* Mon Mar 01 2010 Richard Hughes <richard@hughsie.com> 2.29.4-1
- New upstream release.

* Mon Feb 22 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100222
- Another new snapshot from upstream with lots of bugs fixed from the Fedora
  test day.

* Wed Feb 18 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100218
- Another new snapshot from upstream for the Fedora test day.

* Wed Feb 17 2010 Richard Hughes <richard@hughsie.com> 2.29.4-0.1.20100217
- New snapshot from upstream for the Fedora test day.

* Mon Feb 01 2010 Richard Hughes <richard@hughsie.com> 2.29.3-1
- New upstream release.

* Mon Jan 18 2010 Matthias Clasen <mclasen@redhat.com> 2.29.2-3
- Rebuild against new gnome-desktop

* Mon Jan 04 2010 Richard Hughes <richard@hughsie.com> 2.29.2-2
- Rebuild, hopefully koji has now a working glibc.

* Mon Jan 04 2010 Richard Hughes <richard@hughsie.com> 2.29.2-1
- New upstream release.

* Fri Dec 04 2009 Richard Hughes <richard@hughsie.com> 2.29.1-1
- Initial spec for review.

